Subject: bug#58199: 29.0.50; Odd "git pull" output

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 01 Oct 2022 16:08:29 +0200

Eli Zaretskii <[email-masked]> writes:

> Would it work if we force the process connection to use pipes?

>From my reading of the manual page -- yes, it would.  However, the "git
pull" is started by the general vc-do-async-command function (which is
used for everything), so forcing a pipe here would affect a lot of
stuff.

And adding a filter here seems trivial, so I've done that now.  If
somebody knows a switch to twiddle instead, we can revisit this.